requestContentChanges
POST
/api/v1/content-submissions/{id}/request-changes
const url = 'https://example.com/api/v1/content-submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/request-changes';const options = { method: 'POST', headers: {'X-CSRF-Token': 'example', 'Content-Type': 'application/json'}, body: '{"note":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/content-submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/request-changes \ --header 'Content-Type: application/json' \ --header 'X-CSRF-Token: example' \ --data '{ "note": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Header Parameters
Section titled “Header Parameters”X-CSRF-Token
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
note
required
string
Examplegenerated
{ "note": "example"}Responses
Section titled “ Responses ”Submission returned for changes
A non-empty note is required